#!/usr/bin/env  python3
#
# Simple script to run all circleci jobs

import os
import argparse
from subprocess import Popen, PIPE

from .manager import WorkflowManager

def main():
    parser = argparse.ArgumentParser(description='Circleci workflow executor')
    parser.add_argument('config', help='Circleci configuration file')
    parser.add_argument('-e', '--exclude', nargs='*', default=[], help='Jobs to exclude')
    parser.add_argument('-l', '--listen', action='store_true' , help='Listen for new commits')
    parser.add_argument('--gitdir', type=str, default= None, help='Path of repository')

    args = parser.parse_args()
    manager = WorkflowManager(args.config, args.exclude)

    if args.listen:
        gitpath = args.gitdir if args.gitdir else os.getcwd()
        manager.loop(gitpath)
    else:
        manager.run()
        manager.report()
